# GeoIP & GeoSite with RU Blacklist

Generates `geoip.dat` and `geosite.dat` for Xray with additional data:
- Category with sites blocked in Russia (`geosite:category-ru-blocked-domains`).
- category with second-level domains of sites blocked in Russia (`geosite:category-ru-blocked-zones`).

Data sources:
- [v2fly/geoip](https://github.com/v2fly/geoip) for `geoip.dat`.
- [v2fly/domain-list-community](https://github.com/v2fly/domain-list-community) for `geosite.dat`.

You can replace original `geoip.dat` and `geosite.dat` with the ones from this repo and route only blocked traffic through the proxy.

# GeoIP Categories

- `geoip:ru-blocked-ips-all` - IP's and IP ranges blocked in Russia.
- `geoip:ru-blocked-ips-directblock` - IP's blocked in Russia directly by address.
- `geoip:ru-blocked-ips-noid2971` - IP's and IP ranges blocked in Russia excluding those blocked by 33а-5536/2019.

# GeoSite Categories

- `geosite:category-ru-blocked-domains` - domains and subdomains blocked in Russia.
- `geosite:category-ru-blocked-zones` - only second-level domains blocked in Russia (even if only subdomain was blocked).

# Automatic Update

There is no universal recipe. Just download `geoip.dat` and `geosite.dat` from latest release daily and replace old files with the new ones. 
You can find an example of how to get the latest files in the [`update.sh`](./update.sh). And please, for the love of all that is holy, **don't put** `curl -fsSL ... | bash` to your crontab, **it's not safe**.
